中危 curl 安全漏洞(CVE-2022-42915)

CVE编号

CVE-2022-42915

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-10-27
漏洞描述
curl是一款用于从服务器传输数据或向服务器传输数据的工具。

curl存在安全漏洞,该漏洞源于错误/清理处理中存在问题,如果使用HTTP代理进行具有非HTTP(S) URL的传输,则会导致双重释放。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://curl.se/docs/CVE-2022-42915.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 haxx curl * From
(including)
7.77.0
Up to
(excluding)
7.86.0
运行在以下环境
系统 alpine_3.15 curl * Up to
(excluding)
7.80.0-r4
运行在以下环境
系统 alpine_3.16 curl * Up to
(excluding)
7.83.1-r4
运行在以下环境
系统 alpine_3.17 curl * Up to
(excluding)
7.86.0-r0
运行在以下环境
系统 alpine_3.18 curl * Up to
(excluding)
7.86.0-r0
运行在以下环境
系统 alpine_3.19 curl * Up to
(excluding)
7.86.0-r0
运行在以下环境
系统 amazon_2 curl * Up to
(excluding)
7.79.1-7.amzn2.0.1
运行在以下环境
系统 amazon_2022 curl * Up to
(excluding)
7.86.0-1.amzn2022.0.1
运行在以下环境
系统 amazon_2023 curl * Up to
(excluding)
7.87.0-2.amzn2023.0.2
运行在以下环境
系统 debian_10 curl * Up to
(excluding)
7.64.0-4+deb10u8
运行在以下环境
系统 debian_11 curl * Up to
(excluding)
7.74.0-1.3+deb11u11
运行在以下环境
系统 debian_12 curl * Up to
(excluding)
7.86.0-1
运行在以下环境
系统 fedora_35 curl * Up to
(excluding)
7.79.1-7.fc35
运行在以下环境
系统 fedora_36 curl * Up to
(excluding)
7.82.0-9.fc36
运行在以下环境
系统 fedora_37 curl * Up to
(excluding)
7.85.0-2.fc37
运行在以下环境
系统 ubuntu_22.04 curl * Up to
(excluding)
7.81.0-1ubuntu1.6
运行在以下环境
系统 ubuntu_22.10 curl * Up to
(excluding)
7.85.0-1ubuntu0.1
阿里云评分
4.8
  • 攻击路径
    N/A
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-415 双重释放
阿里云安全产品覆盖情况